The Display & Video 360 API is rolling out Demand Gen resource support to all partners starting June 10, 2026. See our blog post for more details on how to get ready!
Deletes an insertion order. Returns error code NOT_FOUND if the insertion order does not exist. The insertion order should be archived first, i.e. set entityStatus to ENTITY_STATUS_ARCHIVED, to be able to delete it.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2025-03-27 UTC."],[],["The Display & Video 360 API v4 allows the deletion of insertion orders via a `DELETE` HTTP request. The request URL requires `advertiserId` and `insertionOrderId` path parameters. Before deletion, the insertion order's `entityStatus` must be set to `ENTITY_STATUS_ARCHIVED`. The request body should be empty. A successful deletion returns an empty JSON object. If the insertion order is not found, a `NOT_FOUND` error code is returned. This operation requires the `https://www.googleapis.com/auth/display-video` authorization scope.\n"]]